<?php
/* inspired from autoload from version 1.2.1 */

$phpdir = '/usr/share/php';

require_once $phpdir.'/Text/Template/Autoload.php';

require_once $phpdir.'/SebastianBergmann/Version/autoload.php';

require_once $phpdir.'/Symfony/Component/ClassLoader/UniversalClassLoader.php';
$loader = new Symfony\Component\ClassLoader\UniversalClassLoader();
$loader->registerNamespaces(array(
    'Symfony\\Component\\Console'         => $phpdir,
    'Symfony\\Component\\ClassLoader'     => $phpdir,
    'org\\bovigo\\vfs'                    => $phpdir,
));
$loader->register();

spl_autoload_register(
    function($class) {
        static $classes = null;
        if ($classes === null) {
            $classes = array(
              'sebastianbergmann\\phpcov\\application' => '/Application.php',
                'sebastianbergmann\\phpcov\\basecommand' => '/BaseCommand.php',
                'sebastianbergmann\\phpcov\\executecommand' => '/ExecuteCommand.php',
                'sebastianbergmann\\phpcov\\mergecommand' => '/MergeCommand.php',
                'sebastianbergmann\\phpcov\\patchcoverage' => '/PatchCoverage.php',
                'sebastianbergmann\\phpcov\\patchcoveragecommand' => '/PatchCoverageCommand.php'
            );
        }
        $cn = strtolower($class);
        if (isset($classes[$cn])) {
            require __DIR__ . $classes[$cn];
        }
    }
);
